Bug 241852 (kf5-5.64.0) - [exp-run] Ugprade KDE Frameworks to 5.64.0
Summary: [exp-run] Ugprade KDE Frameworks to 5.64.0
Status: Closed FIXED
Alias: kf5-5.64.0
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Tobias C. Berner
URL: https://github.com/freebsd/freebsd-po...
Keywords:
Depends on:
Blocks:
 
Reported: 2019-11-10 08:15 UTC by Tobias C. Berner
Modified: 2019-11-17 11:06 UTC (History)
1 user (show)

See Also:
antoine: exp-run+


Attachments
v1 (76.20 KB, patch)
2019-11-10 08:15 UTC, Tobias C. Berner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Tobias C. Berner freebsd_committer 2019-11-10 08:15:15 UTC
Created attachment 209028 [details]
v1

Hi there 

kde@ would like to ask for an exp-run to upgrade KDE Frameworks to 5.64.

The patch is attached, and can also be found here:
https://people.freebsd.org/~tcberner/patches/kf5-5.64.0.v1.diff


mfg Tobias
Comment 1 Antoine Brodin freebsd_committer 2019-11-17 06:48:16 UTC
Exp-run looks fine.
Comment 2 Tobias C. Berner freebsd_committer 2019-11-17 11:06:25 UTC
Committed. Thanks for the exp-run.
Comment 3 commit-hook freebsd_committer 2019-11-17 11:06:30 UTC
A commit references this bug:

Author: tcberner
Date: Sun Nov 17 11:06:27 UTC 2019
New revision: 517817
URL: https://svnweb.freebsd.org/changeset/ports/517817

Log:
  Update KDE Frameworks to 5.64.0

  November 10, 2019. KDE today announces the release of KDE Frameworks 5.64.0. [1]

  KDE Frameworks are over 70 addon libraries to Qt which provide a wide variety
  of commonly needed functionality in mature, peer reviewed and well tested
  libraries with friendly licensing terms. For an introduction see the KDE
  Frameworks web page.

  This release is part of a series of planned monthly releases making
  improvements available to developers in a quick and predictable manner.

  Noteably, there is one FreeBSD specific change:
  * KCoreAddons
    - KProcessInfoList -- add proclist backend for FreeBSD

  [1] https://kde.org/announcements/kde-frameworks-5.64.0.php

  PR:		241852
  Exp-run by:	antoine

Changes:
  head/Mk/Uses/kde.mk
  head/archivers/kf5-karchive/distinfo
  head/devel/kf5-extra-cmake-modules/distinfo
  head/devel/kf5-extra-cmake-modules/pkg-plist
  head/devel/kf5-kapidox/distinfo
  head/devel/kf5-kauth/distinfo
  head/devel/kf5-kbookmarks/distinfo
  head/devel/kf5-kcmutils/distinfo
  head/devel/kf5-kconfig/distinfo
  head/devel/kf5-kcoreaddons/distinfo
  head/devel/kf5-kcrash/distinfo
  head/devel/kf5-kdbusaddons/Makefile
  head/devel/kf5-kdbusaddons/distinfo
  head/devel/kf5-kdeclarative/distinfo
  head/devel/kf5-kdeclarative/pkg-plist
  head/devel/kf5-kdoctools/distinfo
  head/devel/kf5-kfilemetadata/Makefile
  head/devel/kf5-kfilemetadata/distinfo
  head/devel/kf5-ki18n/distinfo
  head/devel/kf5-ki18n/pkg-plist
  head/devel/kf5-kidletime/distinfo
  head/devel/kf5-kio/Makefile
  head/devel/kf5-kio/distinfo
  head/devel/kf5-kio/files/
  head/devel/kf5-kitemmodels/distinfo
  head/devel/kf5-knewstuff/distinfo
  head/devel/kf5-knotifications/distinfo
  head/devel/kf5-knotifyconfig/distinfo
  head/devel/kf5-kpackage/distinfo
  head/devel/kf5-kparts/distinfo
  head/devel/kf5-kpeople/Makefile
  head/devel/kf5-kpeople/distinfo
  head/devel/kf5-kpty/distinfo
  head/devel/kf5-kservice/distinfo
  head/devel/kf5-ktexteditor/distinfo
  head/devel/kf5-kunitconversion/distinfo
  head/devel/kf5-solid/distinfo
  head/devel/kf5-threadweaver/distinfo
  head/dns/kf5-kdnssd/distinfo
  head/graphics/kf5-kimageformats/distinfo
  head/graphics/kf5-kplotting/distinfo
  head/graphics/kf5-prison/distinfo
  head/lang/kf5-kross/distinfo
  head/misc/kf5-purpose/distinfo
  head/multimedia/kf5-kmediaplayer/distinfo
  head/net/kf5-kcalendarcore/Makefile
  head/net/kf5-kcalendarcore/distinfo
  head/net/kf5-kcontacts/Makefile
  head/net/kf5-kcontacts/distinfo
  head/net/kf5-kcontacts/pkg-plist
  head/net/kf5-kholidays/distinfo
  head/net/kf5-kxmlrpcclient/distinfo
  head/net/kf5-syndication/distinfo
  head/security/kf5-kdesu/distinfo
  head/sysutils/kf5-baloo/distinfo
  head/sysutils/kf5-kwallet/distinfo
  head/textproc/kf5-kcodecs/distinfo
  head/textproc/kf5-sonnet/distinfo
  head/textproc/kf5-syntax-highlighting/distinfo
  head/www/kf5-kdewebkit/distinfo
  head/www/kf5-khtml/distinfo
  head/www/kf5-kjs/distinfo
  head/www/kf5-kjsembed/distinfo
  head/x11/kf5-frameworkintegration/distinfo
  head/x11/kf5-kactivities/distinfo
  head/x11/kf5-kactivities-stats/distinfo
  head/x11/kf5-kded/distinfo
  head/x11/kf5-kdelibs4support/distinfo
  head/x11/kf5-kglobalaccel/distinfo
  head/x11/kf5-kinit/distinfo
  head/x11/kf5-krunner/distinfo
  head/x11/kf5-kwayland/distinfo
  head/x11/kf5-kwindowsystem/distinfo
  head/x11/kf5-plasma-framework/distinfo
  head/x11-themes/kf5-breeze-icons/distinfo
  head/x11-themes/kf5-breeze-icons/pkg-plist
  head/x11-themes/kf5-kemoticons/distinfo
  head/x11-themes/kf5-kiconthemes/distinfo
  head/x11-themes/kf5-oxygen-icons5/distinfo
  head/x11-themes/kf5-qqc2-desktop-style/distinfo
  head/x11-toolkits/kf5-attica/distinfo
  head/x11-toolkits/kf5-kcompletion/distinfo
  head/x11-toolkits/kf5-kconfigwidgets/distinfo
  head/x11-toolkits/kf5-kdesignerplugin/distinfo
  head/x11-toolkits/kf5-kguiaddons/distinfo
  head/x11-toolkits/kf5-kirigami2/distinfo
  head/x11-toolkits/kf5-kitemviews/distinfo
  head/x11-toolkits/kf5-kjobwidgets/distinfo
  head/x11-toolkits/kf5-ktextwidgets/distinfo
  head/x11-toolkits/kf5-kwidgetsaddons/distinfo
  head/x11-toolkits/kf5-kxmlgui/distinfo